/*
    File:       Expr.h

    Function:	Expression evaluation

    Authors:    Paul Heckbert, Andrew Willmott

    Copyright:  none
*/

#ifndef __Expr__
#define __Expr__

#include "cl/String.h"

/* error codes */
enum EvalErrors
{
	EXPR_GOOD,		/* expression totally good */
	EXPR_SOSO,		/* expression partially good */
	EXPR_BAD		/* expression totally bad */
};

extern int expr_error;		/* holds error code after expr_eval */

Int		expr_eval_int(StrConst s);
Long	expr_eval_long(StrConst s);
Double	expr_eval(StrConst s);

#endif
