/*
	File:		GCLConfig.h

	Purpose:	Contains config options for compiling GCL

	Author:		Andrew Willmott, (c) 1997-1999

	Notes:		Possible #defines:

				GCL_TIFF		enables TIFF support. Requires libtiff.
				GCL_JPEG		enables JPEG support. Requires libjpeg.
				GCL_GIF			enables GIF support. Requires libgif.

				GCL_MGF			enables MGF support. Requires libmgf.
				GCL_MSDL		enables MSDL support. Requires libmsdl.
				GCL_PARSE_SC	Turns on support for ph's .sc format

				GCL_XSHM		enables xwindows shared-memory support
				GCL_NO_GL		No OpenGL support

				GCL_BIG_END		Enable optimisations on big-endian machines
				GCL_MACOS		required for compiling on the mac file system
				GCL_GZIP		enables support for automatically gunzipping
								scene files with the extension '.gz'. 'gunzip'
								must be installed for this to work.

*/

#define GCL_VERSION "1.0.2"
#define GCL_VER_NUM 10002

// --- Configuration ----------------------------------------------------------
