/*
	File:			TextRenderer.cc

	Function:		Implements TextRenderer.h

	Author(s):		Andrew Willmott

	Copyright:		(c) 1997-2000, Andrew Willmott

	Notes:			Defines a vanilla renderer object. Just outputs the calls
					it gets as text.
*/

#include <iostream.h>
#include "gcl/TextRenderer.h"


Void TextRenderer::MakeCurrent()
{
}

Void TextRenderer::Show()
{
	SetWindow();
}

// --- Renderer Drawing Operators ---------------------------------------------


Renderer &TextRenderer::SetColour(const Colour &c)
{
	*sout << "Colour " << c << endl;
	
	return(SELF);
}

Renderer &TextRenderer::SetPoint(const Point &p)
{
	*sout << "Point " << p << endl;
	
	return(SELF);
}

Renderer &TextRenderer::SetCoord(const Coord &c)
{
	*sout << "Coord " << c << endl;
	
	return(SELF);
}

Renderer &TextRenderer::SetNormal(const Vector &n)
{
	*sout << "Normal " << n << endl;
	
	return(SELF);
}

Renderer &TextRenderer::SetTransform(const Transform &t)
{
	*sout << "Transform " << t << endl;
	
	return(SELF);
}

Renderer &TextRenderer::SetCamera(const Camera &c)
{
	*sout << "Camera\nproject:" << c.ProjMatrix() << endl;
	*sout << "model:" << c.ModelMatrix() << endl;
	
	return(SELF);
}

Renderer &TextRenderer::Pop()
{
	*sout << "Pop" << endl;
	
	return(SELF);
}

Renderer &TextRenderer::Push()
{
	*sout << "Push" << endl;
	
	return(SELF);
}

Renderer &TextRenderer::Clear()
{
	*sout << "Clear" << endl;

	return(SELF);
}

Renderer &TextRenderer::Begin(RenderStyle command)
{
	*sout << "Begin: " << (Int) command << endl;
	
	return(SELF);
}

Renderer &TextRenderer::End()
{
	*sout << "End" << endl;
	
	return(SELF);
}

Void TextRenderer::Print(ostream &s)
{
	s << "Text Renderer." << endl;	
}

