/*
	File:			TextRenderer.h

	Function:		
	
	Author(s):		Andrew Willmott

	Copyright:		(c) 1997-2000, Andrew Willmott
 */

#ifndef __TextRenderer__
#define __TextRenderer__

#include "gcl/Renderer.h"


// --- The TextRenderer class -------------------------------------------------


class TextRenderer : public Renderer
{
public:
	TextRenderer() : Renderer(), sout(&cout) {};

	Void				Attach(ostream &out) { sout = &out; };
	
	virtual Void		Show();
	virtual Void 		MakeCurrent();
	virtual Void 		Print(ostream &s);
	
	virtual Renderer	&Begin(RenderStyle style);
	virtual Renderer	&End();

	virtual Renderer	&SetPoint(const Point &p);
	virtual Renderer	&SetNormal(const Vector &p);
	virtual Renderer	&SetCoord(const Coord &c);
	virtual Renderer	&SetColour(const Colour &c);

	virtual Renderer	&SetTransform(const Transform &t);
	virtual Renderer	&SetCamera(const Camera &c);

	virtual Renderer	&Clear();
	virtual Renderer	&Pop();
	virtual Renderer	&Push();

	virtual Renderer	&GetImage(Image &image) {return SELF;};
	virtual Renderer	&PutImage(const Image &image, Int x = 0, Int y = 0) {return SELF;};

	// short-cuts

protected:
	ostream				*sout;
};

#endif
