/*
    File:       Writers.h

    Function:	

    Author:     Andrew Willmott

    Copyright:  (c) 1998-2000, Andrew Willmott
*/

#ifndef __Writers__
#define __Writers__

#include <stdio.h>
#include "gcl/Scene.h"


class ObjWriter : public Decimator
/// Writes wavefront OBJ files
{
public:
	Void 			SaveAs(scScenePtr scene, StrConst filename);

private:
	Void			HandlePoly(Int numVertices, Int vertices[], Int changed);
		
	static FILE		*file;
	static Int		pointsWritten;
};

class MGFWriter : public Decimator
{
public:
	Void 			SaveAs(scScenePtr scene, StrConst filename);

private:
	Void			HandlePoly(Int numVertices, Int vertices[], Int changed);
		
	static FILE		*file;
	static Int		pointsWritten;
	static Int		vertNum;
};

class RadWriter : public Decimator
{
public:
	Void 			SaveAs(scScenePtr scene, StrConst filename);

private:
	Void			HandlePoly(Int numVertices, Int vertices[], Int changed);
		
	static FILE		*file;
	static Int		pointsWritten;
	static Int		matNum;
	static Int		polyNum;
};

class SceneWriter
/// Master scene file writer
{
public:
	static Void 	Save(scScenePtr scene, FileName filename);
					///< Save the scene as filename.
	static Void		PrintSupportedFormats(ostream &s);
					///< Send a list of supported formats to s
};

#endif
