Void RadForm::GetFormOptions()
{
    options.pause = fl_get_button(pause);
    options.wire = fl_get_button(wireFrame);
    options.gouraud = fl_get_button(gouraudBtn);
    options.texture = fl_get_button(textureBtn);
    options.funcView = fl_get_button(funcView);
    options.patchView = fl_get_button(patchView);
    options.patchSubdivs = fl_get_slider_value(patchSubdivs);
    options.eltSubdivs = fl_get_slider_value(eltSubdivs);
    options.alpha = fl_get_slider_value(alphaLevel);
    options.error = fl_get_eslider_value(error);
    options.kFError = fl_get_eslider_value(kFError);
    options.kAError = fl_get_eslider_value(kAError);
    options.graded = fl_get_button(graded);
    options.anchor = fl_get_button(anchor);
    options.basis = (HRBasisType) fl_get_choice(basis);
    options.method = (RadType) fl_get_choice(methodChoice);
    options.animate = fl_get_menu_item_check(animation, 1);
    options.showRays = fl_get_menu_item_check(animation, 2);
    options.showLinks = fl_get_menu_item_check(animation, 3);
    options.drawMatrix = fl_get_menu_item_check(animation, 4);
    options.shotDisplay = fl_get_menu_item_check(animation, 5);
    options.outlineVisGrid = fl_get_menu_item_check(animation, 6);
    options.outlineClusters = fl_get_menu_item_check(animation, 7);
    options.ambient = fl_get_menu_item_check(methodOpts, 1);
    options.gridOn = fl_get_menu_item_check(methodOpts, 2);
    options.cluster = fl_get_menu_item_check(methodOpts, 3);
    options.fixMesh = fl_get_menu_item_check(methodOpts, 4);
    options.connectMesh = fl_get_menu_item_check(methodOpts, 5);
    options.dFError = fl_get_slider_value(transPanel.dFError);
    options.forceVisReuseArea = fl_get_slider_value(transPanel.visRA);
    options.visInQuad = fl_get_button(transPanel.visInQuad);
    options.jitterRot = fl_get_button(transPanel.jitterRot);
    options.visibility = (VisType) (fl_get_choice(transPanel.visMethod) - 1);
    options.quadLevel = fl_get_choice(transPanel.quadLevel) - 1;
    options.bestLevels = fl_get_counter_value(renderPanel.bestLevels);
    options.bestPass = fl_get_button(renderPanel.bestPass);
    options.bestVisPass = fl_get_button(renderPanel.bestVisPass);
    options.schedIterations = fl_get_counter_value(renderPanel.maxIter);
    options.solver = (SolverType) (fl_get_choice(renderPanel.solver) - 1);
}

Void RadForm::SetFormOptions()
{
    fl_set_button(pause, options.pause);
    fl_set_button(wireFrame, options.wire);
    fl_set_button(gouraudBtn, options.gouraud);
    fl_set_button(textureBtn, options.texture);
    fl_set_button(funcView, options.funcView);
    fl_set_button(patchView, options.patchView);
    fl_set_slider_value(patchSubdivs, options.patchSubdivs);
    fl_set_slider_value(eltSubdivs, options.eltSubdivs);
    fl_set_slider_value(alphaLevel, options.alpha);
    fl_set_eslider_value(error, options.error);
    fl_set_eslider_value(kFError, options.kFError);
    fl_set_eslider_value(kAError, options.kAError);
    fl_set_button(graded, options.graded);
    fl_set_button(anchor, options.anchor);
    fl_set_choice(basis, options.basis);
    fl_set_choice(methodChoice, options.method);
    fl_set_menu_item_check(animation, 1, options.animate);
    fl_set_menu_item_check(animation, 2, options.showRays);
    fl_set_menu_item_check(animation, 3, options.showLinks);
    fl_set_menu_item_check(animation, 4, options.drawMatrix);
    fl_set_menu_item_check(animation, 5, options.shotDisplay);
    fl_set_menu_item_check(animation, 6, options.outlineVisGrid);
    fl_set_menu_item_check(animation, 7, options.outlineClusters);
    fl_set_menu_item_check(methodOpts, 1, options.ambient);
    fl_set_menu_item_check(methodOpts, 2, options.gridOn);
    fl_set_menu_item_check(methodOpts, 3, options.cluster);
    fl_set_menu_item_check(methodOpts, 4, options.fixMesh);
    fl_set_menu_item_check(methodOpts, 5, options.connectMesh);
    fl_set_slider_value(transPanel.dFError, options.dFError);
    fl_set_slider_value(transPanel.visRA, options.forceVisReuseArea);
    fl_set_button(transPanel.visInQuad, options.visInQuad);
    fl_set_button(transPanel.jitterRot, options.jitterRot);
    fl_set_choice(transPanel.visMethod, options.visibility + 1);
    fl_set_choice(transPanel.quadLevel, options.quadLevel + 1);
    fl_set_counter_value(renderPanel.bestLevels, options.bestLevels);
    fl_set_button(renderPanel.bestPass, options.bestPass);
    fl_set_button(renderPanel.bestVisPass, options.bestVisPass);
    fl_set_counter_value(renderPanel.maxIter, options.schedIterations);
    fl_set_choice(renderPanel.solver, options.solver + 1);
}

