/* This file automatically generated from radvis_large.h */

#include "radvis_largeForms.h"

RadVisMainForm::RadVisMainForm()
{
    InitForm();

    RegisterForm(form);
    RegisterObj(clockwork);
    RegisterObj(box2);
    RegisterObj(box1);
    RegisterObj(comment);
    RegisterObj(debug1);
    RegisterObj(debug2);
    RegisterObj(gouraudBtn);
    RegisterObj(wireFrame);
    RegisterObj(error);
    RegisterObj(pause);
    RegisterObj(step);
    RegisterObj(resetBtn);
    RegisterObj(examFF);
    RegisterObj(examRad);
    RegisterObj(m1);
    RegisterObj(alphaLevel);
    RegisterObj(main);
    RegisterObj(methodChoice);
    fl_addto_choice(methodChoice, "Matrix");
    fl_addto_choice(methodChoice, "Progressive");
    fl_addto_choice(methodChoice, "Adaptive Progressive");
    fl_addto_choice(methodChoice, "Wavelet");
    fl_addto_choice(methodChoice, "Analytical");
    RegisterObj(exitBtn);
    RegisterObj(goBtn);
    RegisterObj(patchSubdivs);
    RegisterObj(avar);
    RegisterObj(eltSubdivs);
    RegisterObj(m5);
    RegisterObj(kFError);
    RegisterObj(kAError);
    RegisterObj(graded);
    RegisterObj(patchView);
    RegisterObj(basis);
    fl_addto_choice(basis, "Haar");
    RegisterObj(anchor);
    RegisterObj(sceneSelect);
    fl_addto_choice(sceneSelect, "Box");
    fl_addto_choice(sceneSelect, "Parallel");
    fl_addto_choice(sceneSelect, "Sidelight");
    fl_addto_choice(sceneSelect, "Blocker");
    fl_addto_choice(sceneSelect, "Abutting");
    fl_addto_choice(sceneSelect, "Table Room");
    fl_addto_choice(sceneSelect, "Box + Tetra%l");
    fl_addto_choice(sceneSelect, "Load Scene...");
    RegisterObj(plotRes);
    RegisterObj(funcView);
    RegisterObj(ffShow);
    RegisterObj(help);
    RegisterObj(animation);
    fl_addto_menu(animation, "Animate%b%l");
    fl_addto_menu(animation, "Show Rays%b");
    fl_addto_menu(animation, "Show Links%b");
    fl_addto_menu(animation, "Show Matrix%b%l");
    fl_addto_menu(animation, "Show Unshot Radiosity%b%l");
    fl_addto_menu(animation, "Show Raytrace Grid%b");
    fl_addto_menu(animation, "Show Clusters%b");
    RegisterObj(methodOpts);
    fl_addto_menu(methodOpts, "Add Ambient Term%b");
    fl_addto_menu(methodOpts, "Grid On%b%l");
    fl_addto_menu(methodOpts, "Use Clustering%b%l");
    fl_addto_menu(methodOpts, "Fix Mesh%b");
    fl_addto_menu(methodOpts, "Connect Mesh%b%l");
    fl_addto_menu(methodOpts, "More Options...");
    RegisterObj(save);
    fl_addto_menu(save, "Save As Picture");
    fl_addto_menu(save, "Save As EPS File");
    fl_addto_menu(save, "Save As SL Model");
    fl_addto_menu(save, "Save As Wavefront Model");
    RegisterObj(textureBtn);
};

ProgressForm::ProgressForm()
{
    InitForm();

    RegisterForm(form);
    RegisterObj(prStopBtn);
    RegisterObj(progressBar);
};

CameraForm::CameraForm()
{
    InitForm();

    RegisterForm(form);
    RegisterObj(fFOV);
    RegisterObj(fZNear);
    RegisterObj(fZFar);
    RegisterObj(fCFOK);
    RegisterObj(fCFCancel);
};

AvarForm::AvarForm()
{
    InitForm();

    RegisterForm(form);
    RegisterObj(avarBrowser);
    RegisterObj(avarSlider);
    RegisterObj(dismiss);
    RegisterObj(dump);
};

PatchViewForm::PatchViewForm()
{
    InitForm();

    RegisterForm(form);
    RegisterObj(pane);
    RegisterObj(dismiss);
    RegisterObj(scaleSlider);
    RegisterObj(diff);
    RegisterObj(add);
    RegisterObj(dump);
    RegisterObj(dataDump);
};

FormFactorForm::FormFactorForm()
{
    InitForm();

    RegisterForm(form);
    RegisterObj(visRA);
    RegisterObj(visMethod);
    fl_addto_choice(visMethod, "No Rays");
    fl_addto_choice(visMethod, "One Ray");
    fl_addto_choice(visMethod, "1->16");
    fl_addto_choice(visMethod, "4->4");
    RegisterObj(jitterRot);
    RegisterObj(dFError);
    RegisterObj(quadLevel);
    fl_addto_choice(quadLevel, "Single sample");
    fl_addto_choice(quadLevel, "Use A->dA when close");
    fl_addto_choice(quadLevel, "Sample to corners");
    fl_addto_choice(quadLevel, "Sample corners & centre");
    fl_addto_choice(quadLevel, "Sample + Error");
    RegisterObj(visInQuad);
    RegisterObj(dismiss);
};

StatusForm::StatusForm()
{
    InitForm();

    RegisterForm(form);
    RegisterObj(body);
    RegisterObj(heading);
}

// --- InitForm declarations for the Forms classes ---------------------------


void RadVisMainForm::InitForm()
{
  FL_OBJECT *obj;

    form = fl_bgn_form(FL_NO_BOX, 1240, 980);
    clockwork = obj = fl_add_box(FL_UP_BOX,0,0,1240,980,"");
    fl_set_object_color(obj,FL_COL1,FL_BLACK);
    box2 = obj = fl_add_box(FL_EMBOSSED_BOX,860,20,360,340,"");
    fl_set_object_color(obj,FL_RIGHT_BCOL,FL_COL1);
  obj = fl_add_box(FL_EMBOSSED_BOX,1030,760,190,80,"");
    fl_set_object_color(obj,FL_DARKCYAN,FL_RED);
  obj = fl_add_box(FL_EMBOSSED_BOX,1030,640,190,120,"");
    fl_set_object_color(obj,FL_INDIANRED,FL_COL1);
  obj = fl_add_box(FL_EMBOSSED_BOX,1030,370,190,260,"");
    fl_set_object_color(obj,FL_BOTTOM_BCOL,FL_COL1);
  obj = fl_add_box(FL_EMBOSSED_BOX,1030,850,190,110,"");
    fl_set_object_color(obj,FL_BOTTOM_BCOL,FL_COL1);
  obj = fl_add_box(FL_EMBOSSED_BOX,860,370,160,590,"");
    fl_set_object_color(obj,FL_BOTTOM_BCOL,FL_COL1);
    box1 = obj = fl_add_box(FL_EMBOSSED_BOX,20,20,820,840,"");
    fl_set_object_color(obj,FL_RIGHT_BCOL,FL_COL1);
    comment = obj = fl_add_box(FL_EMBOSSED_BOX,20,880,820,30,"");
    fl_set_object_color(obj,FL_TOP_BCOL,FL_MCOL);
    fl_set_object_lstyle(obj,FL_BOLD_STYLE);
    debug1 = obj = fl_add_box(FL_EMBOSSED_BOX,440,930,400,30,"");
    fl_set_object_color(obj,FL_INDIANRED,FL_COL1);
    debug2 = obj = fl_add_box(FL_EMBOSSED_BOX,20,930,400,30,"");
    fl_set_object_color(obj,FL_INDIANRED,FL_COL1);
    gouraudBtn = obj = fl_add_lightbutton(FL_PUSH_BUTTON,870,570,140,30,"Gouraud Shading");
    fl_set_object_lstyle(obj,FL_BOLD_STYLE);
    wireFrame = obj = fl_add_lightbutton(FL_PUSH_BUTTON,870,540,140,30,"Wireframe");
    fl_set_object_lstyle(obj,FL_BOLD_STYLE);
    error = obj = fl_add_valslider(FL_HOR_SLIDER,1040,510,170,20,"Termination Error");
    fl_set_object_boxtype(obj,FL_FRAME_BOX);
    fl_set_object_lalign(obj,FL_ALIGN_TOP);
    pause = obj = fl_add_lightbutton(FL_PUSH_BUTTON,1040,890,80,30,"Pause");
    fl_set_object_lstyle(obj,FL_BOLD_STYLE);
    step = obj = fl_add_button(FL_NORMAL_BUTTON,1040,920,80,30,"Step");
    fl_set_object_lstyle(obj,FL_BOLD_STYLE);
    resetBtn = obj = fl_add_button(FL_NORMAL_BUTTON,1130,860,80,30,"Reset");
    fl_set_object_lstyle(obj,FL_BOLD_STYLE);
    examFF = obj = fl_add_button(FL_NORMAL_BUTTON,1050,650,150,30,"Plot Form Factors...");
    fl_set_object_lstyle(obj,FL_BOLD_STYLE);
    examRad = obj = fl_add_button(FL_NORMAL_BUTTON,1050,680,150,30,"Plot Radiosity...");
    fl_set_object_lstyle(obj,FL_BOLD_STYLE);

    m1 = fl_bgn_group();
    alphaLevel = obj = fl_add_valslider(FL_HOR_SLIDER,1040,430,170,20,"Alpha");
    fl_set_object_boxtype(obj,FL_FRAME_BOX);
    fl_set_object_lalign(obj,FL_ALIGN_TOP);
  fl_end_group();


    main = fl_bgn_group();
    methodChoice = obj = fl_add_choice(FL_NORMAL_CHOICE,870,390,140,30,"Radiosity Method");
    fl_set_object_boxtype(obj,FL_DOWN_BOX);
    fl_set_object_lsize(obj,FL_TINY_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_TOP);
    exitBtn = obj = fl_add_button(FL_NORMAL_BUTTON,1130,920,80,30,"Exit");
    fl_set_button_shortcut(obj,"E",1);
    fl_set_object_lstyle(obj,FL_BOLD_STYLE);
    goBtn = obj = fl_add_button(FL_NORMAL_BUTTON,1040,860,80,30,"Go");
    fl_set_object_lstyle(obj,FL_BOLD_STYLE);
    patchSubdivs = obj = fl_add_valslider(FL_HOR_SLIDER,1040,390,170,20,"Patch Subdivisions");
    fl_set_object_boxtype(obj,FL_FRAME_BOX);
    fl_set_object_lalign(obj,FL_ALIGN_TOP);
    avar = obj = fl_add_button(FL_NORMAL_BUTTON,1050,770,150,30,"Avars...");
    fl_set_object_lstyle(obj,FL_BOLD_STYLE);
    eltSubdivs = obj = fl_add_valslider(FL_HOR_SLIDER,1040,470,170,20,"Element Subdivisions");
    fl_set_object_boxtype(obj,FL_FRAME_BOX);
    fl_set_object_lalign(obj,FL_ALIGN_TOP);
  fl_end_group();


    m5 = fl_bgn_group();
    kFError = obj = fl_add_valslider(FL_HOR_SLIDER,1040,550,170,20,"Refinement level");
    fl_set_object_boxtype(obj,FL_FRAME_BOX);
    fl_set_object_lalign(obj,FL_ALIGN_TOP);
    kAError = obj = fl_add_valslider(FL_HOR_SLIDER,1040,590,170,20,"Patch size limit");
    fl_set_object_boxtype(obj,FL_FRAME_BOX);
    fl_set_object_lalign(obj,FL_ALIGN_TOP);
    graded = obj = fl_add_lightbutton(FL_PUSH_BUTTON,870,730,140,30,"Balanced Mesh");
    fl_set_object_lstyle(obj,FL_BOLD_STYLE);
    patchView = obj = fl_add_lightbutton(FL_PUSH_BUTTON,870,680,140,30,"Patch's View");
    fl_set_object_lstyle(obj,FL_BOLD_STYLE);
    basis = obj = fl_add_choice(FL_NORMAL_CHOICE,870,440,140,30,"Basis");
    fl_set_object_boxtype(obj,FL_DOWN_BOX);
    fl_set_object_lsize(obj,FL_TINY_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_TOP);
  fl_end_group();

    anchor = obj = fl_add_lightbutton(FL_PUSH_BUTTON,870,760,140,30,"Anchored Mesh");
    fl_set_object_lstyle(obj,FL_BOLD_STYLE);
    sceneSelect = obj = fl_add_choice(FL_NORMAL_CHOICE,870,490,140,30,"Scene");
    fl_set_object_boxtype(obj,FL_DOWN_BOX);
    fl_set_object_lsize(obj,FL_TINY_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_TOP);
    plotRes = obj = fl_add_counter(FL_SIMPLE_COUNTER,1050,720,150,20,"Plot Resolution");
    fl_set_object_color(obj,FL_COL1,FL_INDIANRED);
    fl_set_object_lsize(obj,FL_TINY_SIZE);
    funcView = obj = fl_add_lightbutton(FL_PUSH_BUTTON,870,650,140,30,"Function View");
    fl_set_object_lstyle(obj,FL_BOLD_STYLE);
    ffShow = obj = fl_add_button(FL_NORMAL_BUTTON,1050,800,150,30,"Transport...");
    fl_set_object_lstyle(obj,FL_BOLD_STYLE);
    help = obj = fl_add_button(FL_NORMAL_BUTTON,1130,890,80,30,"Help!");
    fl_set_object_lstyle(obj,FL_BOLD_STYLE);
    animation = obj = fl_add_menu(FL_PULLDOWN_MENU,870,850,140,30,"Visualisation");
    fl_set_object_boxtype(obj,FL_SHADOW_BOX);
    fl_set_object_color(obj,FL_MCOL,FL_BOTTOM_BCOL);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    methodOpts = obj = fl_add_menu(FL_PULLDOWN_MENU,870,810,140,30,"Method Options");
    fl_set_object_boxtype(obj,FL_SHADOW_BOX);
    fl_set_object_color(obj,FL_MCOL,FL_BOTTOM_BCOL);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    save = obj = fl_add_menu(FL_PULLDOWN_MENU,870,890,140,30,"Save");
    fl_set_object_boxtype(obj,FL_SHADOW_BOX);
    fl_set_object_color(obj,FL_MCOL,FL_BOTTOM_BCOL);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    textureBtn = obj = fl_add_lightbutton(FL_PUSH_BUTTON,870,600,140,30,"Texturing");
    fl_set_object_lstyle(obj,FL_BOLD_STYLE);
  fl_end_form();


}

void ProgressForm::InitForm()
{
  FL_OBJECT *obj;

    form = fl_bgn_form(FL_NO_BOX, 350, 100);
  obj = fl_add_box(FL_UP_BOX,0,0,350,100,"");
  obj = fl_add_text(FL_NORMAL_TEXT,20,20,240,20,"Working...");
    fl_set_object_boxtype(obj,FL_NO_BOX);
    fl_set_object_color(obj,FL_COL1,FL_COL1);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
    prStopBtn = obj = fl_add_button(FL_NORMAL_BUTTON,250,50,80,30,"Cancel");
    progressBar = obj = fl_add_box(FL_BORDER_BOX,30,60,200,10,"");
    fl_set_object_color(obj,FL_SLATEBLUE,FL_INDIANRED);
  fl_end_form();


}

void CameraForm::InitForm()
{
  FL_OBJECT *obj;

    form = fl_bgn_form(FL_NO_BOX, 350, 130);
  obj = fl_add_box(FL_BORDER_BOX,0,0,350,130,"");
    fFOV = obj = fl_add_input(FL_FLOAT_INPUT,80,40,140,20,"Field of view");
    fZNear = obj = fl_add_input(FL_FLOAT_INPUT,80,70,50,20,"zNear");
    fZFar = obj = fl_add_input(FL_FLOAT_INPUT,170,70,50,20,"zFar");
    fCFOK = obj = fl_add_button(FL_RETURN_BUTTON,260,30,70,30,"OK");
    fCFCancel = obj = fl_add_button(FL_NORMAL_BUTTON,260,80,70,30,"Cancel");
  fl_end_form();


}

void AvarForm::InitForm()
{
  FL_OBJECT *obj;

    form = fl_bgn_form(FL_NO_BOX, 220, 290);
  obj = fl_add_box(FL_UP_BOX,0,0,220,290,"");
    avarBrowser = obj = fl_add_browser(FL_HOLD_BROWSER,10,50,160,190,"Avars");
    fl_set_object_lsize(obj,FL_TINY_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_TOP);
    avarSlider = obj = fl_add_valslider(FL_VERT_NICE_SLIDER,180,50,30,190,"");
    dismiss = obj = fl_add_button(FL_NORMAL_BUTTON,130,250,80,30,"OK");
    fl_set_object_lstyle(obj,FL_BOLD_STYLE+FL_SHADOW_STYLE);
    dump = obj = fl_add_button(FL_NORMAL_BUTTON,10,250,100,30,"Dump Avars...");
    fl_set_object_lstyle(obj,FL_BOLD_STYLE+FL_SHADOW_STYLE);
  obj = fl_add_text(FL_NORMAL_TEXT,0,0,220,30,"Avar Control");
    fl_set_object_boxtype(obj,FL_SHADOW_BOX);
    fl_set_object_color(obj,FL_WHEAT,FL_MCOL);
    fl_set_object_lalign(obj,FL_ALIGN_CENTER|FL_ALIGN_INSIDE);
    fl_set_object_lstyle(obj,FL_BOLD_STYLE);
  fl_end_form();


}

void PatchViewForm::InitForm()
{
  FL_OBJECT *obj;

    form = fl_bgn_form(FL_NO_BOX, 770, 580);
  obj = fl_add_box(FL_UP_BOX,0,0,770,580,"");
    pane = obj = fl_add_box(FL_UP_BOX,10,10,650,560,"");
    fl_set_object_lalign(obj,FL_ALIGN_RIGHT);
    dismiss = obj = fl_add_button(FL_NORMAL_BUTTON,670,540,90,30,"OK");
    fl_set_object_color(obj,FL_LEFT_BCOL,FL_COL1);
    fl_set_object_lstyle(obj,FL_BOLD_STYLE+FL_SHADOW_STYLE);
    scaleSlider = obj = fl_add_valslider(FL_VERT_SLIDER,700,70,30,220,"Scale");
    diff = obj = fl_add_button(FL_NORMAL_BUTTON,670,350,90,30,"Subtract");
    fl_set_object_color(obj,FL_LEFT_BCOL,FL_COL1);
    fl_set_object_lstyle(obj,FL_BOLD_STYLE);
    add = obj = fl_add_button(FL_NORMAL_BUTTON,670,320,90,30,"Add");
    fl_set_object_color(obj,FL_LEFT_BCOL,FL_COL1);
    fl_set_object_lstyle(obj,FL_BOLD_STYLE);
    dump = obj = fl_add_button(FL_NORMAL_BUTTON,670,450,90,30,"Save Image...");
    fl_set_object_color(obj,FL_TOP_BCOL,FL_COL1);
    fl_set_object_lstyle(obj,FL_BOLD_STYLE);
    dataDump = obj = fl_add_button(FL_NORMAL_BUTTON,670,420,90,30,"Save Data...");
    fl_set_object_color(obj,FL_TOP_BCOL,FL_COL1);
    fl_set_object_lstyle(obj,FL_BOLD_STYLE);
  obj = fl_add_text(FL_NORMAL_TEXT,660,380,100,20,"... from current selection");
    fl_set_object_lsize(obj,FL_TINY_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
  obj = fl_add_text(FL_NORMAL_TEXT,670,10,90,40,"Plot Viewer");
    fl_set_object_boxtype(obj,FL_SHADOW_BOX);
    fl_set_object_color(obj,FL_WHEAT,FL_MCOL);
    fl_set_object_lalign(obj,FL_ALIGN_CENTER|FL_ALIGN_INSIDE);
    fl_set_object_lstyle(obj,FL_BOLD_STYLE);
  fl_end_form();


}

void FormFactorForm::InitForm()
{
  FL_OBJECT *obj;

    form = fl_bgn_form(FL_NO_BOX, 160, 330);
  obj = fl_add_box(FL_UP_BOX,0,0,160,330,"");
    visRA = obj = fl_add_valslider(FL_HOR_SLIDER,20,170,120,20,"Reuse samples threshold");
    visMethod = obj = fl_add_choice(FL_NORMAL_CHOICE,20,130,120,20,"Visibility");
    fl_set_object_boxtype(obj,FL_DOWN_BOX);
    fl_set_object_lsize(obj,FL_TINY_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_BOTTOM);
    jitterRot = obj = fl_add_lightbutton(FL_PUSH_BUTTON,20,250,120,30,"Recalc Jitter");
    dFError = obj = fl_add_valslider(FL_HOR_FILL_SLIDER,20,90,120,20,"dF Error");
    fl_set_object_boxtype(obj,FL_FRAME_BOX);
    quadLevel = obj = fl_add_choice(FL_NORMAL_CHOICE,20,50,120,20,"Quadrature Method");
    fl_set_object_boxtype(obj,FL_DOWN_BOX);
    fl_set_object_lsize(obj,FL_TINY_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_BOTTOM);
    visInQuad = obj = fl_add_lightbutton(FL_PUSH_BUTTON,20,220,120,30,"Vis. in Quad.");
  obj = fl_add_text(FL_NORMAL_TEXT,0,0,160,40,"Form Factor/Quadrature\nSettings");
    fl_set_object_boxtype(obj,FL_SHADOW_BOX);
    fl_set_object_color(obj,FL_WHEAT,FL_MCOL);
    fl_set_object_lalign(obj,FL_ALIGN_CENTER|FL_ALIGN_INSIDE);
    fl_set_object_lstyle(obj,FL_BOLD_STYLE);
    dismiss = obj = fl_add_button(FL_NORMAL_BUTTON,20,290,120,30,"OK");
    fl_set_object_lstyle(obj,FL_BOLD_STYLE+FL_SHADOW_STYLE);
  fl_end_form();


}

void StatusForm::InitForm()
{
  FL_OBJECT *obj;

    form = fl_bgn_form(FL_NO_BOX, 430, 100);
  obj = fl_add_box(FL_UP_BOX,0,0,430,100,"");
    body = obj = fl_add_text(FL_NORMAL_TEXT,20,40,390,50,"");
    fl_set_object_boxtype(obj,FL_EMBOSSED_BOX);
    fl_set_object_color(obj,FL_LEFT_BCOL,FL_MCOL);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
    heading = obj = fl_add_text(FL_NORMAL_TEXT,0,0,430,30,"?");
    fl_set_object_boxtype(obj,FL_SHADOW_BOX);
    fl_set_object_color(obj,FL_WHEAT,FL_MCOL);
    fl_set_object_lalign(obj,FL_ALIGN_CENTER|FL_ALIGN_INSIDE);
    fl_set_object_lstyle(obj,FL_BOLD_STYLE+FL_SHADOW_STYLE);
  fl_end_form();


}

