/*
	File:			HProgRad.h

	Function:		Provides a class for lighting a scene using progressive
					radiosity with hierarchical refinement.
					
	Author(s):		Andrew Willmott

	Copyright:		(c) 1997-2000, Andrew Willmott
 */


#ifndef __HProgRad__
#define __HProgRad__

#include "ProgRad.h"

class HProgRad : public ProgRad
{
public:
	Void		ResetOptions();

	Bool 		Render();
	RadElem		*NewMesh();
	Int			Stage(Int stage);
	Void		DrawMatrix(Renderer &r);
	Void		DumpStats();
	PatchList	*GetElements();
	Void		ColourVertices();
	Void		DumpMemoryUse();

	PatchList	elements;				// elements
	IndexList	eltParents;				// indices of parent patches.

#ifdef RAD_VIS
	Array<PatchList>	FFElts;	
#endif

	static Void	*New() { return(new HProgRad); };
};

#endif
