/*
	File:		RayStats.h

	Function:	

	Author:		Andrew Willmott

    Copyright:  (c) 1996-2000, Andrew Willmott
*/

#ifndef __RayStats__
#define __RayStats__

#include "RT_Defs.h"

struct RayStats
{
	Int		rays;			///< rays cast
	Int		hits;			///< object hits
	Int		goodHits;		///< first hits only
	Int		polysTested;	///< polygons tested against
	Int		intersections;	///< point-in-poly tests
	Int		voxels;			///< voxels traversed
	Int		grids;			///< grids traversed
	Int		d1;
	Int		d2;				///< cached result
	Real	time;
};


struct RayTraceStats
{
	RayStats		ray[16];	
					// 0 = shadow rays, 1 = eye rays, 2 = 1st reflection etc.
	static Int		maxCasts;
 
	Void			Clear();
	Void			Print();
};


#endif
